AvisynAvisyn
User GuideAPI ReferenceSkills
AI Model API视频(Videos)Doubao Format

Doubao Video Generation

Generate videos using the Doubao Seedance 2.0 model.

Supports text-to-video and image-to-video generation. Video generation is an asynchronous task. After submission, use the GET endpoint to poll for task status.

Returns a task ID which can be used to query progress and results.

Reference material role options:

  • first_frame: First frame image
  • last_frame: Last frame image
  • reference_image: Reference image (use asset:// prefix for real-person assets)
  • reference_video: Reference video
  • reference_audio: Reference audio

Real-person asset note: When using a real person's photo to generate videos, you must first complete the real-person authentication process to obtain a URL in asset://Asset-xxx format.

POST
/v1/video/generations

Authorization

BearerAuth

AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

model*string

模型名称,固定值

Value in"doubao-seedance-2.0"
prompt*string

视频生成提示词,建议不超过 800 字符

metadata?

扩展参数

Response Body

application/json

application/json

curl -X POST "https://www.aivve.cn/v1/video/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "doubao-seedance-2.0",    "prompt": "夕阳下,一匹白马在草原上奔跑,镜头跟随运动,史诗感",    "metadata": {      "ratio": "16:9",      "duration": 5,      "generate_audio": false,      "watermark": false    }  }'
{
  "id": "task_JTrqvL8jP4DGaZh7PJH0Ykg7DshNvnk6",
  "task_id": "task_JTrqvL8jP4DGaZh7PJH0Ykg7DshNvnk6",
  "object": "video",
  "model": "doubao-seedance-2.0",
  "status": "queued",
  "progress": 0,
  "created_at": 1783134229
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

How is this guide?